body {
    font-family: 'Montserrat', sans-serif;
}

* {
    padding: 0;
    margin: 0;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

a {
    text-decoration: none;
    transition: 0.3s;
}

a:hover {
    opacity: 0.7;
}

a:visited {
    text-decoration: none;
}

nav {
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #0071A5;
    height: 186px;
}

nav h1 {
    font-size: 36px;
    font-weight: bold;
    color: white;
}

.nav-list {
    list-style: none;
    display: flex;
    color: white;
    font-size: 18px;
}

.nav-list li {
    letter-spacing: 3px;
    margin-left: 32px;
}

.nav-list li a {
    color: white;
    text-decoration: none;
}

.nav-list li a:visited {
    color: white;
    text-decoration: none;
}

.mobile-menu {
    display: none;
    cursor: pointer;
}

.mobile-menu div {
    width: 32px;
        height: 2px;
        background-color: #fff;
        margin: 8px;
        transition: 0.3s;
}

@media (max-width: 999px) {
    html, body {
        max-width: 100%;
        overflow-x:  hidden;
    }

    nav h1 {
        display: none;
    }
    .nav-list {
        position: absolute;
        top: 186px;
        right: 0;
        width: 100vw;
        height: 100vh;
        background: #0071A5;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        transform: translateX(100%);
        transition: transform 0.3s ease-in;
        z-index: 1;
        display: none;
    }

    .nav-list li {
        margin-left: 0;
        opacity: 0;
    }

    .mobile-menu {
        display: block;
    }

    .nav-list.active {
        display: flex;
        transform: translateX(0);
    }

    @keyframes navLinkFade {
        from {
            opacity: 0;
            transform: translateX(50px);
        }
        to {
            opacity: 1;
            transform: translateX(0);
        }
    }

    .mobile-menu.active .line1 {
        transform: rotate(-45deg) translate(-8px, 8px);
    }

    .mobile-menu.active .line2 {
        opacity: 0;
    }

    .mobile-menu.active .line3 {
        transform: rotate(45deg) translate(-5px, -7px);
    }
}

